/***************************************************************************
**
**    $Header:   D:/EPSLDV1/SRC/LOG/BTAB.CPP   1.5   20 Jun 1996 09:29:52   ZJRD  $
**
**    $Log:   D:/EPSLDV1/SRC/LOG/BTAB.CPP  $
** 
**    Rev 1.5   20 Jun 1996 09:29:52   ZJRD
** EasyPack/SLD Version 1.20a
** 
**    Rev 1.3   10 Jun 1996 10:24:30   ZJRD
** EasyPack/SLD Version 1.20
** 
**    Rev 1.1   29 May 1996 09:36:34   ZJRD
** EasyPack/SLD Version 1.95
** 
****************************************************************************/

/////////////////////////////////////////////////////////////////////////////
// btab.cpp
//
// Michael Long
//                                                                           
// 5/13/96
//
/////////////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "resource.h"

#include "toolopt.h"    
#include "bc.h"
#include "bcoption.h"
#include "ba.h"
#include "baoption.h"
#include "bl.h"
#include "bloption.h"
#include "blib.h"
#include "bliboption.h"
#include "be.h"
#include "beoption.h"

#include "btab.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
IMPLEMENT_DYNAMIC(CBTab, CPropertySheet)                                                

/////////////////////////////////////////////////////////////////////////////
// CBTab

CBTab::CBTab(BCTool * pbc, BATool * pba, BLTool * pbl,BLIBTool * plib,BETool * pe, CWnd *pParent)
 : CPropertySheet("ICC8051 Options", pParent),
    m_bcopt(pbc), m_baopt(pba), m_blopt(pbl), m_blibopt(plib),m_beopt(pe)
{
    AddPage(&m_bcopt);
    AddPage(&m_baopt);
    AddPage(&m_blopt);
    AddPage(&m_blibopt);
    AddPage(&m_beopt);
}

CBTab::~CBTab()
{
}

BEGIN_MESSAGE_MAP(CBTab, CPropertySheet)
    //{{AFX_MSG_MAP(CBTab)
    ON_WM_CREATE()
    ON_COMMAND(IDOK, OnOK)
    //}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CBTab message handlers


int CBTab::OnCreate(LPCREATESTRUCT lpCreateStruct)
{
    if (CPropertySheet::OnCreate(lpCreateStruct) == -1)
        return -1;
    
    // TODO: Add your specialized creation code here
    CenterWindow();
    
    GetDlgItem(ID_APPLY_NOW)->ShowWindow(SW_HIDE);
    
    return 0;
}

void CBTab::OnOK()
{
    GetActivePage()->UpdateData(TRUE);

    m_bcopt.SaveData();
    m_baopt.SaveData();
    m_blopt.SaveData();
    m_blibopt.SaveData();
    m_beopt.SaveData();
    
    CPropertySheet::OnOK();
}                           
